跳到正文

condenser_api.get_ops_in_block ​

Purpose ​

返回一个区块(block)中包含的全部操作。参数:block_num:int;only_virtual:boolean

block_num (int)only_virtual (boolean)
1false查询区块 1 中的操作。
5443322true仅查询区块 5,443,322 中的虚拟操作(virtual operation)。

另见:account_history_api.get_ops_in_block

Parameters ​

PARAMETERS
json
[
  0,
  false
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_ops_in_block",
    "params": [
      1,
      false
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_ops_in_block",
    "params": [
      5443322,
      true
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "trx_id": "0000000000000000000000000000000000000000",
    "block": 0,
    "trx_in_block": 0,
    "op_in_trx": 0,
    "virtual_op": 0,
    "timestamp": "2016-10-01T06:31:24",
    "op": [
      "producer_reward",
      {
        "producer": "",
        "vesting_shares": "0.000000 VESTS"
      }
    ]
  }
]